Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024754
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2013-09-12 12:382013-09-17 19:03
ReporterjecharriView Statuspublic 
Assigned Tojonalegriaesarte 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8a7b99723b7b
ProjectionnoneETAnoneTarget Version3.0MP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topsarobe
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024754: Buttons "Create Variants" and "Manage Variants" have different behaviour

DescriptionButtons "Create Variants" and "Manage Variants" have different behaviour
Steps To Reproduce-Create a generic product with 3 price lists and with one variant characteristic
-Add a different price by one characteristic. For example color red "9999€" and color blue "8888€"

Verify that if you explode the product using "manage variants", the price "9999" and "8888" is only inherited by one "price list version".

If you explode using "create variants", all the price lists are updated with the same value.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061113)
hgbot (developer)
2013-09-12 17:52

Repository: erp/devel/pi
Changeset: 8a7b99723b7b16135b9400f2c1544ac610bff9ce
Author: Gorka Ion Damián <gorkaion.damian <at> openbravo.com>
Date: Thu Sep 12 17:49:00 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8a7b99723b7b16135b9400f2c1544ac610bff9ce [^]

Fixed issue 24754.Add pricelist type field and unify processes.

---
M src-db/database/model/tables/M_PRODUCT_CH.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/materialmgmt/VariantAutomaticGenerationProcess.java
M src/org/openbravo/materialmgmt/actionhandler/ManageVariants.java
---
(0061245)
hudsonbot (developer)
2013-09-17 19:03

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-12 12:38 jecharri New Issue
2013-09-12 12:38 jecharri Assigned To => dmiguelez
2013-09-12 12:38 jecharri Web browser => Google Chrome
2013-09-12 12:38 jecharri Modules => Core
2013-09-12 12:38 jecharri Triggers an Emergency Pack => No
2013-09-12 12:43 jecharri Web browser Google Chrome => Google Chrome
2013-09-12 12:43 jecharri Assigned To dmiguelez => jonalegriaesarte
2013-09-12 17:52 hgbot Checkin
2013-09-12 17:52 hgbot Note Added: 0061113
2013-09-12 17:52 hgbot Status new => resolved
2013-09-12 17:52 hgbot Resolution open => fixed
2013-09-12 17:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8a7b99723b7b16135b9400f2c1544ac610bff9ce [^]
2013-09-13 10:04 psarobe Review Assigned To => psarobe
2013-09-13 10:04 psarobe Status resolved => closed
2013-09-17 19:03 hudsonbot Checkin
2013-09-17 19:03 hudsonbot Note Added: 0061245


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker